plugins {
    id 'java'
    id 'org.springframework.boot' version '3.4.0'
    id 'io.spring.dependency-management' version '1.1.6'
}

dependencies {
    implementation project(':business-application')
    implementation project(':business-infrastructure')
    implementation project(':business-domain')
    implementation project(':business-common')

    // https://mvnrepository.com/artifact/org.gavaghan/geodesy
    implementation 'org.gavaghan:geodesy:1.1.3'

    implementation 'org.springframework.boot:spring-boot-starter-amqp'

//    implementation 'org.springframework.boot:spring-boot-starter-security'
    implementation 'org.springframework.boot:spring-boot-starter-web'

    implementation 'org.springframework.cloud:spring-cloud-starter'
    implementation 'org.springframework.cloud:spring-cloud-starter-consul-config'
    implementation 'org.springframework.cloud:spring-cloud-starter-consul-discovery'

    implementation 'org.springframework.cloud:spring-cloud-starter-loadbalancer'
}